<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<div class="row mt-3 html2pdf-break-page">
  <div class="col-12 font-weight-bold">
    VERIFICATION DETAILS
    <hr>
  </div>
</div>
<div class="row mt-1">
  <div class="col">
    <table aria-label="Verification definitions list" class="table mt-0 mb-0" role="table">
      <thead>
      <tr>
        <th class="text-center" scope="col">Phase</th>
        <th class="text-center" scope="col">Id</th>
        <th scope="col">Name</th>
        <th scope="col">Category</th>
        <th scope="col">Description</th>
        <th class="text-center" scope="col">Status</th>
      </tr>
      </thead>
      <tbody>
      <ng-container *ngFor="let verification of verifications | statusFilter: verificationStatusFilter | keyvalue">
        <tr [class.alert-danger]="isNotOK(verification.value.status)"
            [class.alert-dark]="isNA(verification.value.status)"
            [class.alert-warning]="isError(verification.value.status)"
            class="html2pdf-no-break">
          <td class="text-center block-name">{{verification.value.block}}</td>
          <td class="text-center">{{verification.value.verificationId}}</td>
          <td>{{verification.value.name}}</td>
          <td>{{verification.value.category}}</td>
          <td>{{verification.value.description | localize}}</td>
          <td class="text-center h3">
            <div *ngIf="isRunning(verification.value.status)" class="text-primary" role="status">
              <i aria-hidden="true" class="bi-circle"></i> <span class="visually-hidden">{{verification.value.status}}</span>
            </div>
            <div *ngIf="isOK(verification.value.status)" class="text-success" role="status">
              <i aria-hidden="true" class="bi-check-circle"></i> <span class="visually-hidden">{{verification.value.status}}</span>
            </div>
            <div *ngIf="isNotOK(verification.value.status)" role="status" title="{{verification.value.message | localize}}">
              <i aria-hidden="true" class="bi-x-circle"></i> <span class="visually-hidden">{{verification.value.status}}</span>
            </div>
            <div *ngIf="isError(verification.value.status)" role="status" title="{{verification.value.message | localize}}">
              <i aria-hidden="true" class="bi-exclamation-circle"></i> <span class="visually-hidden">{{verification.value.status}}</span>
            </div>
            <div *ngIf="isNA(verification.value.status)" role="status">
              <i aria-hidden="true" class="bi-dash-circle"></i> <span class="visually-hidden">{{verification.value.status}}</span>
            </div>
          </td>
        </tr>
        <tr *ngIf="toggleMessage && (isNotOK(verification.value.status) || isError(verification.value.status))" class="html2pdf-no-break">
          <td colspan="6">
            {{verification.value.message | localize}}
            <a *ngIf="verification.value.errorStack !== null" aria-controls="collapseExample" aria-expanded="false"
               class="collapsed text-decoration-none" data-html2canvas-ignore data-toggle="collapse"
               href="{{'#collapseExample' + verification.value.id}}" role="button">
              <span class="error-view-details">View details</span>
              <span class="error-hide-details">Hide details</span>
            </a>
            <div *ngIf="verification.value.errorStack" class="collapse text-monospace text-break"
                 id="{{'collapseExample' + verification.value.id}}">
              <hr>
              {{verification.value.errorStack[0]}}
              <ul style="list-style-type:none;">
                <li *ngFor="let stack of verification.value.errorStack | slice:1; let i = index;">{{stack}}</li>
              </ul>
            </div>
          </td>
        </tr>
      </ng-container>
      </tbody>
    </table>
  </div>
</div>
